SQLITE3_DB_HANDLE(3)

NAME
sqlite3_db_handle - find the database handle of a prepared statement

SYNOPSIS
#include <sqlite3.h>
sqlite3 *
sqlite3_db_handle(sqlite3_stmt*);

DESCRIPTION
The sqlite3_db_handle interface returns the database connection handle to which a prepared statement belongs. The database connection returned by sqlite3_db_handle is the same database connection that was the first argument to the sqlite3_prepare_v2() call (or its variants) that was used to create the statement in the first place.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 6578.

    SQLITE_API sqlite3 *sqlite3_db_handle(sqlite3_stmt*);

SEE ALSO
sqlite3(3), sqlite3_prepare(3), sqlite3_stmt(3)